Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class RegionFile

    java.lang.Object
      net.minecraft.src.RegionFile

    public class RegionFile

extends Object

Constructor Summary
`RegionFile(File par1File)`

Method Summary
`void` | `close()` close this RegionFile and prevent further writes
`DataInputStream` | `getChunkDataInputStream(int par1, int par2)` args: x, y - get uncompressed chunk stream from the region file
`DataOutputStream` | `getChunkDataOutputStream(int par1, int par2)` args: x, z - get an output stream used to write chunk data, data is on disk when the returned stream is closed
`boolean` | `isChunkSaved(int par1, int par2)` args: x, z, - true if chunk has been saved / converted

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegionFile

    public RegionFile(File par1File)

Method Detail

### getChunkDataInputStream

    public DataInputStream getChunkDataInputStream(int par1,
                                                   int par2)

  args: x, y - get uncompressed chunk stream from the region file

### getChunkDataOutputStream

    public DataOutputStream getChunkDataOutputStream(int par1,
                                                     int par2)

  args: x, z - get an output stream used to write chunk data, data is on disk when the returned stream is closed

### isChunkSaved

    public boolean isChunkSaved(int par1,
                                int par2)

  args: x, z, - true if chunk has been saved / converted

### close

    public void close()
               throws IOException

  close this RegionFile and prevent further writes

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD